package nc.lic.ui;

import java.io.File;
import java.util.ArrayList;
import nc.lic.keygen.LicKeyGenerator;
import nc.lic.model.LicKey;
import nc.lic.model.NetworkItfInfo;
import nc.lic.toolkit.LicToolKit;
import nc.lic.ui.MLTool;

public class GeneratorLicRFileMain {

   public static void main(String[] args) {
      boolean b = true;
      String ncHome = LicToolKit.getNcHome();
      if(null != args && args.length > 0) {
         String[] var3 = args;
         int var4 = args.length;

         for(int var5 = 0; var5 < var4; ++var5) {
            String arg = var3[var5];
            System.out.println(arg);
         }
      }

      if(!(new File(ncHome)).exists()) {
         b = false;
      }

      if(b && args.length < 5) {
         b = false;
      }

      if(b) {
         generatorLicenseRequestFile(args);
      } else {
         System.out.println("GeneratorLicenseRequestFile Error: Input parameter error");
      }

   }

   private static void generatorLicenseRequestFile(String[] args) {
      String productSN = args[0];
      String macName = args[1];
      String macDisplayName = args[2];
      String ipAddr = args[3];
      String macAddr = args[4];
      NetworkItfInfo netInfo = new NetworkItfInfo();
      netInfo.setName(macName);
      netInfo.setDisplayName(macDisplayName);
      netInfo.setIpAddr(ipAddr);
      netInfo.setMacAddr(macAddr);
      ArrayList netWorkItfInfos = new ArrayList();
      netWorkItfInfos.add(netInfo);
      File file = LicToolKit.getLicRequestFile();
      LicKey licKey = LicKeyGenerator.getInstance().generateLicKeyByNetworkInfos(netWorkItfInfos);
      LicToolKit.generatorLicenseRequestFile(productSN, licKey, file);
      String lineSep = System.getProperty("line.separator");
      StringBuilder sb = (new StringBuilder(MLTool.getStrByID("License-0005", "License请求文件生成完毕，文件位于"))).append(file.getAbsolutePath()).append(lineSep);
      sb.append(MLTool.getStrByID("License-0006", "硬件锁信息")).append(lineSep).append(licKey.toString());
      System.out.println(sb.toString());
   }
}
